@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500&display=swap');

* {
    font-family: 'Inter', sans-serif;
}
h1, h2, h3 {
    width: 100%;
    text-align: center;
    margin-top: 50px;
    color: #333;
    text-transform: uppercase;
    letter-spacing: 3px;
}
body {
    background-color: #f2f2f2;
}
input[type="button"] {
    display: block;
    width: 150px;
    height: 50px;
    margin: 30px auto;
    border-radius: 25px;
    border: none;
    font-size: 18px;
    letter-spacing: 2px;
    text-transform: uppercase;
    cursor: pointer;
}
input[type="button"] {
    -webkit-appearance: none;
    -webkit-tap-highlight-color: rgba(0,0,0,0);
}
input[value="Turn On"] {
    background-color: #4CAF50;
    color: #fff;
}
input[value="Turn Off"] {
    background-color: #f44336;
    color: #fff;
}
input[type="button"]:hover {
    box-shadow: 0px 0px 10px 0px #ccc;
}
.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}
.switch input { 
    opacity: 0;
    width: 0;
    height: 0;
}
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}
.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}
input:checked + .slider {
    background-color: #4CAF50;
}
input + .slider {
    background-color: #ff2e63;
}
input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}
input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}
.slider.round {
    border-radius: 34px;
}
.slider.round:before {
    border-radius: 50%;
}

.center-text {
    text-align:center;
}

.font-p65rem {
    font-size: 0.65rem;
}

.switch.disabled {
    filter: invert(0.3);
}

.modal {
    position: fixed;
    z-index: 9999999999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    opacity: 0;
    visibility: hidden;
    transform: scale(1.1);
    transition: visibility 0s linear 0.25s, opacity 0.25s 0s, transform 0.25s;
}

.modal-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    padding: 0.8rem 0.8rem;
    width: 75vw;
    border-radius: 0.5rem;
}

.modal-close-button {
    float: right;
    width: 1.5rem;
    line-height: 1.5rem;
    text-align: center;
    cursor: pointer;
    border-radius: 0.25rem;
    background-color: lightgray;
}

.modal-close-button:hover {
    background-color: darkgray;
}

.show-modal {
    opacity: 1 !important;
    visibility: visible !important;
    transform: scale(1.0) !important;
    transition: visibility 0s linear 0s, opacity 0.25s 0s, transform 0.25s !important;
}

.modal-button-container {
    text-align: center;
    padding-top: 10px;
}

.modal-button {
    margin: 5px;
    padding: 8px 16px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    background-color: #808080;
    transition: background-color 0.3s ease;
}

.modal-button-yes:hover {
    background-color: #179900;
}

.modal-button-no:hover {
    background-color: #ff1919;
}